package com.qianhe.system.domain;

import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 商品对象 water_goods
 *
 * @author qianhe
 * @date 2023-11-23
 */
public class WaterGoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 类型 */
    @Excel(name = "类型")
    private Long goodsTypeId;

    /** 所属站点id */
    @Excel(name = "所属站点id")
    private Long belongStationId;

    /** 封面图 */
    @Excel(name = "封面图")
    private String coverImg;

    /** 详情图 */
    @Excel(name = "详情图")
    private String detailsImg;

    /** 价格 */
    @Excel(name = "价格")
    private String price;

    /** 状态（1上架0下架） */
    @Excel(name = "状态", readConverterExp = "1=上架0下架")
    private Long status;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setGoodsTypeId(Long goodsTypeId)
    {
        this.goodsTypeId = goodsTypeId;
    }

    public Long getGoodsTypeId()
    {
        return goodsTypeId;
    }
    public void setBelongStationId(Long belongStationId)
    {
        this.belongStationId = belongStationId;
    }

    public Long getBelongStationId()
    {
        return belongStationId;
    }
    public void setCoverImg(String coverImg)
    {
        this.coverImg = coverImg;
    }

    public String getCoverImg()
    {
        return coverImg;
    }
    public void setDetailsImg(String detailsImg)
    {
        this.detailsImg = detailsImg;
    }

    public String getDetailsImg()
    {
        return detailsImg;
    }
    public void setPrice(String price)
    {
        this.price = price;
    }

    public String getPrice()
    {
        return price;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("goodsTypeId", getGoodsTypeId())
            .append("belongStationId", getBelongStationId())
            .append("coverImg", getCoverImg())
            .append("detailsImg", getDetailsImg())
            .append("price", getPrice())
            .append("createTime", getCreateTime())
            .append("status", getStatus())
            .toString();
    }
}
