package com.qianhe.system.domain;

import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户地址对象 water_user_address
 *
 * @author qianhe
 * @date 2023-11-23
 */
public class WaterUserAddress extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long waterUserId;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String userAddress;

    /** 省 */
    @Excel(name = "省")
    private String province;

    /** 市 */
    @Excel(name = "市")
    private String city;

    /** 区 */
    @Excel(name = "区")
    private String area;

    /** 收货人姓名 */
    @Excel(name = "收货人姓名")
    private String name;

    /** 收货人手机号 */
    @Excel(name = "收货人手机号")
    private Long phone;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setWaterUserId(Long waterUserId)
    {
        this.waterUserId = waterUserId;
    }

    public Long getWaterUserId()
    {
        return waterUserId;
    }
    public void setUserAddress(String userAddress)
    {
        this.userAddress = userAddress;
    }

    public String getUserAddress()
    {
        return userAddress;
    }
    public void setProvince(String province)
    {
        this.province = province;
    }

    public String getProvince()
    {
        return province;
    }
    public void setCity(String city)
    {
        this.city = city;
    }

    public String getCity()
    {
        return city;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setPhone(Long phone)
    {
        this.phone = phone;
    }

    public Long getPhone()
    {
        return phone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("waterUserId", getWaterUserId())
            .append("userAddress", getUserAddress())
            .append("province", getProvince())
            .append("city", getCity())
            .append("area", getArea())
            .append("name", getName())
            .append("phone", getPhone())
            .toString();
    }
}
