package com.qianhe.system.mapper;

import com.qianhe.system.domain.WaterGoodsSpe;

import java.util.List;

/**
 * 商品关联规格Mapper接口
 * 
 * @author qianhe
 * @date 2023-11-23
 */
public interface WaterGoodsSpeMapper 
{
    /**
     * 查询商品关联规格
     * 
     * @param id 商品关联规格主键
     * @return 商品关联规格
     */
    public WaterGoodsSpe selectWaterGoodsSpeById(Long id);

    /**
     * 查询商品关联规格列表
     * 
     * @param waterGoodsSpe 商品关联规格
     * @return 商品关联规格集合
     */
    public List<WaterGoodsSpe> selectWaterGoodsSpeList(WaterGoodsSpe waterGoodsSpe);

    /**
     * 新增商品关联规格
     * 
     * @param waterGoodsSpe 商品关联规格
     * @return 结果
     */
    public int insertWaterGoodsSpe(WaterGoodsSpe waterGoodsSpe);

    /**
     * 修改商品关联规格
     * 
     * @param waterGoodsSpe 商品关联规格
     * @return 结果
     */
    public int updateWaterGoodsSpe(WaterGoodsSpe waterGoodsSpe);

    /**
     * 删除商品关联规格
     * 
     * @param id 商品关联规格主键
     * @return 结果
     */
    public int deleteWaterGoodsSpeById(Long id);

    /**
     * 批量删除商品关联规格
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWaterGoodsSpeByIds(Long[] ids);
}
