package com.qianhe.system.mapper;

import com.qianhe.system.domain.WaterSpe;

import java.util.List;

/**
 * 商品规格Mapper接口
 * 
 * @author qianhe
 * @date 2023-11-23
 */
public interface WaterSpeMapper 
{
    /**
     * 查询商品规格
     * 
     * @param id 商品规格主键
     * @return 商品规格
     */
    public WaterSpe selectWaterSpeById(Long id);

    /**
     * 查询商品规格列表
     * 
     * @param waterSpe 商品规格
     * @return 商品规格集合
     */
    public List<WaterSpe> selectWaterSpeList(WaterSpe waterSpe);

    /**
     * 新增商品规格
     * 
     * @param waterSpe 商品规格
     * @return 结果
     */
    public int insertWaterSpe(WaterSpe waterSpe);

    /**
     * 修改商品规格
     * 
     * @param waterSpe 商品规格
     * @return 结果
     */
    public int updateWaterSpe(WaterSpe waterSpe);

    /**
     * 删除商品规格
     * 
     * @param id 商品规格主键
     * @return 结果
     */
    public int deleteWaterSpeById(Long id);

    /**
     * 批量删除商品规格
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWaterSpeByIds(Long[] ids);
}
